class PendingAssetServiceRequest {
  String headerMessage;
  List<Details> details;

  PendingAssetServiceRequest({this.headerMessage, this.details});

  PendingAssetServiceRequest.fromJson(Map<String, dynamic> json) {
    headerMessage = json['headerMessage'];
    details = <Details>[];
    if (json['details'] != null) {
      json['details'].forEach((v) {
        details.add(new Details.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['headerMessage'] = this.headerMessage;
    if (this.details != null) {
      data['details'] = this.details.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Details {
  int id;
  String message;

  Details({this.id, this.message});

  Details.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['message'] = this.message;
    return data;
  }
}
